Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.io
Interface BufferPool.BufferPoolAPI

Enclosing class:
  BufferPool

    public static interface BufferPool.BufferPoolAPI

Method Summary
`void` | `clear()`
`XByteBuffer` | `getBuffer(int minSize, boolean discard)`
`void` | `returnBuffer(XByteBuffer buffer)`
`void` | `setMaxSize(int bytes)`

Method Detail

### setMaxSize

    void setMaxSize(int bytes)

### getBuffer

    XByteBuffer getBuffer(int minSize,
                          boolean discard)

### returnBuffer

    void returnBuffer(XByteBuffer buffer)

### clear

    void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.